- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Retrieves the list of custom images available to the specified project. Custom images are images you create that belong to your project. This method does not get any images that belong to other projects, including publicly-available images, like Debian 8. If you want to get a list of publicly-available images, use this method to make a request to the respective image project, such as debian-cloud or windows-cloud.
HTTP request
GET https://compute.googleapis.com/compute/v1/projects/{project}/global/images The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
Query parameters
| Parameters | |
|---|---|
maxResults |
The maximum number of results per page that should be returned. If the number of available results is larger than |
pageToken |
Specifies a page token to use. Set |
filter |
A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either For example, if you are filtering Compute Engine instances, you can exclude instances named The You can also filter nested fields. For example, you could specify To filter on multiple expressions, provide each separate expression within parentheses. For example: By default, each expression is an If you want to use a regular expression, use the
The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name "instance", you would use You cannot combine constraints on multiple fields using regular expressions. |
orderBy |
Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using Currently, only sorting by |
returnPartialSuccess |
Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code. |
Request body
The request body must be empty.
Response body
Contains a list of images.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "id": string, "items": [ { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "sourceType": enum, "rawDisk": { "source": string, "sha1Checksum": string, "containerType": enum }, "deprecated": { "state": enum, "replacement": string, "deprecated": string, "obsolete": string, "deleted": string }, "status": enum, "archiveSizeBytes": string, "diskSizeGb": string, "sourceDisk": string, "sourceDiskId": string, "licenses": [ string ], "family": string, "imageEncryptionKey": { "sha256": string, "kmsKeyServiceAccount": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "rawKey": string, "rsaEncryptedKey": string, "kmsKeyName": string // End of mutually exclusive fields. }, "sourceDiskEncryptionKey": { "sha256": string, "kmsKeyServiceAccount": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "rawKey": string, "rsaEncryptedKey": string, "kmsKeyName": string // End of mutually exclusive fields. }, "selfLink": string, "labels": { string: string, ... }, "labelFingerprint": string, "guestOsFeatures": [ { "type": enum } ], "licenseCodes": [ string ], "sourceImage": string, "sourceImageId": string, "sourceImageEncryptionKey": { "sha256": string, "kmsKeyServiceAccount": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "rawKey": string, "rsaEncryptedKey": string, "kmsKeyName": string // End of mutually exclusive fields. }, "sourceSnapshot": string, "sourceSnapshotId": string, "sourceSnapshotEncryptionKey": { "sha256": string, "kmsKeyServiceAccount": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "rawKey": string, "rsaEncryptedKey": string, "kmsKeyName": string // End of mutually exclusive fields. }, "storageLocations": [ string ], "shieldedInstanceInitialState": { "pk": { "content": string, "fileType": enum }, "keks": [ { "content": string, "fileType": enum } ], "dbs": [ { "content": string, "fileType": enum } ], "dbxs": [ { "content": string, "fileType": enum } ] }, "satisfiesPzs": boolean, "architecture": enum, "enableConfidentialCompute": boolean, "satisfiesPzi": boolean, "params": { "resourceManagerTags": { string: string, ... } } } ], "nextPageToken": string, "selfLink": string, "warning": { "code": enum, "message": string, "data": [ { "key": string, "value": string } ] } } |
| Fields | |
|---|---|
kind |
Output only. Type of resource. |
id |
Output only. Unique identifier for the resource; defined by the server. |
items[] |
A list of Image resources. |
items[].kind |
Output only. Type of the resource. Always |
items[].id |
Output only. The unique identifier for the resource. This identifier is defined by the server. |
items[].creationTimestamp |
Output only. Creation timestamp in RFC3339 text format. |
items[].name |
Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression |
items[].description |
An optional description of this resource. Provide this property when you create the resource. |
items[].sourceType |
The type of the image used to create this disk. The default and only valid value is |
items[].rawDisk |
The parameters of the raw disk image. |
items[].rawDisk.source |
The full Google Cloud Storage URL or Artifact Registry path where the raw disk image archive is stored. The following are valid formats:
In order to create an image, you must provide the full or partial URL of one of the following:
|
items[].rawDisk.sha1Checksum |
[Deprecated] This field is deprecated. An optional SHA1 checksum of the disk image before unpackaging provided by the client when the disk image is created. |
items[].rawDisk.containerType |
The format used to encode and transmit the block device, which should be |
items[].deprecated |
Output only. The deprecation status associated with this image. |
items[].deprecated.state |
The deprecation state of this resource. This can be |
items[].deprecated.replacement |
The URL of the suggested replacement for a deprecated resource. The suggested replacement resource must be the same kind of resource as the deprecated resource. |
items[].deprecated.deprecated |
An optional RFC3339 timestamp on or after which the state of this resource is intended to change to |
items[].deprecated.obsolete |
An optional RFC3339 timestamp on or after which the state of this resource is intended to change to |
items[].deprecated.deleted |
An optional RFC3339 timestamp on or after which the state of this resource is intended to change to |
items[].status |
Output only. The status of the image. An image can be used to create other resources, such as instances, only after the image has been successfully created and the |
items[].archiveSizeBytes |
Size of the image |
items[].diskSizeGb |
Size of the image when restored onto a persistent disk (in GB). |
items[].sourceDisk |
URL of the source disk used to create this image. For example, the following are valid values:
In order to create an image, you must provide the full or partial URL of one of the following:
|
items[].sourceDiskId |
Output only. The ID value of the disk used to create this image. This value may be used to determine whether the image was taken from the current or a previous instance of a given disk name. |
items[].licenses[] |
Any applicable license URI. |
items[].family |
|